Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.as.jboss
Class ActivityService

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.objectweb.jass.as.jboss.ActivityService

All Implemented Interfaces:
  ActivityServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class ActivityService
extends org.jboss.system.ServiceMBeanSupport
implements ActivityServiceMBean

MBean that creates and registers the Activity Service implementation classes for the JBOSS application server.

Author:
  fran Date: Feb 11, 2004 org.objectweb.jass.hls.as.ActivityService.java

Field Summary
`static java.lang.String` | `AM_JNDI_NAME`
`static java.lang.String` | `UA_JNDI_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ActivityService()`

Method Summary
`int` | `getInstances()` Return the number of AS instances that HLSs has created.
`int` | `numberOfActivities()` TODO Not yet implemented.
`void` | `startService()` Invoked when this JBOSS MBean is started.
`void` | `stopService()` Invoked when this JBOSS MBean is stopped.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getServer, getServiceName, getState, getStateString, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### UA_JNDI_NAME

    public static final java.lang.String UA_JNDI_NAME

See Also:
  Constant Field Values

### AM_JNDI_NAME

    public static final java.lang.String AM_JNDI_NAME

See Also:
  Constant Field Values

Constructor Detail

### ActivityService

    public ActivityService()

Method Detail

### startService

    public void startService()
                      throws java.lang.Exception

  Invoked when this JBOSS MBean is started.

  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Invoked when this JBOSS MBean is stopped.

### getInstances

    public int getInstances()

  Return the number of AS instances that HLSs has created. There is one AS instance per HLS.

  Specified by:
    `getInstances` in interface `ActivityServiceMBean`
  Returns:
    the number of AS instances.

### numberOfActivities

    public int numberOfActivities()

  TODO Not yet implemented.

  Specified by:
    `numberOfActivities` in interface `ActivityServiceMBean`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD